#
# spec file for package qwtplot3d
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define		soname		0
Name:           qwtplot3d
Version:        0.2.7
Release:        lp151.1.1
Summary:        A feature-rich Qt/OpenGL-based C++ programming library
License:        Zlib
Group:          Development/Libraries/C and C++
Url:            http://qwtplot3d.sourceforge.net/
Source:         qwtplot3d-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch0:         qwtplot3d-gcc43.patch
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         glu_include.patch
BuildRequires:  Mesa-devel
BuildRequires:  dos2unix
%if 0%{?suse_version} > 1220
BuildRequires:  glu-devel
%endif
BuildRequires:  qt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QwtPlot3D is not a program, but a feature-rich Qt/OpenGL-based C++
programming library. It provides essentially a bunch of 3D widgets
for programmers.

%package -n lib%{name}%{soname}
Summary:        Shared library containing the QwtPlot3D Widget set
Group:          System/Libraries

%description -n lib%{name}%{soname}
QwtPlot3D is not a program, but a feature-rich Qt/OpenGL-based C++
programming library. It provides essentially a bunch of 3D widgets
for programmers.

%package devel
Summary:        Development tools for programs which uses QwtPlot3D Widget set
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{soname} = %{version}
Requires:       qt-devel

%description devel
QwtPlot3D is a feature-rich Qt/OpenGL-based C++ programming library.
It provides essentially a bunch of 3D widgets for programmers.

%prep
%setup -q -n qwtplot3d
%patch0 -p1
%patch1 -p0
dos2unix COPYING
find examples -type f -exec dos2unix {} +

%build
qmake qwtplot3d.pro -o Makefile
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_includedir}/qwtplot3d
mkdir -p %{buildroot}%{_libdir}
for n in include/*.h ; do
    install -m 644 $n %{buildroot}%{_includedir}/qwtplot3d
done
# install, preserving links
chmod 644 lib/libqwtplot3d.so*
for n in lib/libqwtplot3d.so* ; do
    cp -d $n %{buildroot}%{_libdir}
done

%post -n lib%{name}%{soname} -p /sbin/ldconfig

%postun -n lib%{name}%{soname} -p /sbin/ldconfig

%files -n lib%{name}%{soname}
%defattr(-,root,root)
%doc COPYING
%{_libdir}/lib%{name}.so.*

%files devel
%defattr(-,root,root)
%doc COPYING examples
%{_libdir}/lib%{name}.so
%dir %{_includedir}/qwtplot3d
%{_includedir}/qwtplot3d/qwt3d*.h

%changelog
* Thu Aug 17 2017 jengelh@inai.de
- Remove redundant license notices in %%description.
- RPM group fix. Use find with {} +.
* Mon Mar 25 2013 joop.boonen@opensuse.org
- Added BuildRequires: glu-devel as it's not a BuildRequirement
  for Mesa-devel anymore for openSUSE > 12.2
- Cleaned the spec file up
- Corrected the package names
* Wed Mar 17 2010 coyoteuser@gmail.com
- initial package for OBS based on packman version
